#
# spec file for package python-click-repl
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-click-repl
Version:        0.3.0
Release:        1.3
Summary:        REPL plugin for Click
License:        MIT
URL:            https://github.com/untitaker/click-repl
# No tests in PyPI archive
Source:         https://github.com/click-contrib/click-repl/archive/%{version}.tar.gz#/click-repl-%{version}-gh.tar.gz
BuildRequires:  %{python_module click}
BuildRequires:  %{python_module prompt_toolkit}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-click
Requires:       python-prompt_toolkit
BuildArch:      noarch
%python_subpackages

%description
REPL plugin for Click

%prep
%autosetup -p1 -n click-repl-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/click_repl
%{python_sitelib}/click_repl-%{version}*info

%changelog
* Sat Oct  7 2023 Martin Schreiner <martin.schreiner@suse.com>
- Update to 0.3.0:
  * Drop Python 2 support, remove six.
  * Uses PromptSession() class from prompt_toolkit instead of prompt()
    function.
  * Added filter for hidden commands and options.
  * Added click's autocompletion support.
  * Added tab-completion for Path and BOOL type arguments.
  * Added 'expand environmental variables in path' feature.
  * Delegate command dispatching to the actual group command.
  * Updated completer class and tests based on new fix.
  * Python 3.11 support.
- Remove python-click-repl-remove-six.patch, as it is now obsolete.
- Remove dendency on python-six.
- Add build-time dependency on pytest-cov.
* Sun Jun 11 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Tue Sep 20 2022 pgajdos@suse.com
- added patches
  fix https://github.com/click-contrib/click-repl/commit/1ad52b2ba601d5107b5457ffa8a885eff95ea031
  + python-click-repl-remove-six.patch
* Mon Jun 21 2021 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.2.0:
  * Update tests to expect hyphens
  * Support for click 8 changes
  * Backwards compatibility between click 7 & 8
- Drop included patch click-repl-pr53-hyphens.patch
* Tue Oct 13 2020 Benjamin Greiner <code@bnavigator.de>
- use Github archive because it has the tests
- Apply gh#click-contrib/click-repl#53
  click-repl-pr53-hyphens.patch
- spec-cleaned specfile
* Mon Oct 14 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.6
